import { d as defaultResponder } from "./defaultResponder-GZldAmhY.js";
import { c as checkSession } from "./auth-_2QcUxTs.js";
import { c as checkInstalled } from "./installation-A6q4n0tL.js";
async function getHandler(req) {
  const session = checkSession(req);
  await checkInstalled("sendgrid", session.user?.id);
  return { url: "/apps/sendgrid/setup" };
}
const _getAdd = defaultResponder(getHandler);
export {
  _getAdd as default,
  getHandler
};
